## Apache Zeta Components Manual :: Docs For Class ezcGraphDriverOptions

### Graph::ezcGraphDriverOptions

### Class ezcGraphDriverOptions

Class containing the basic driver options.

Most of the options of the driver class, like the width, height and font are set internally by the driver and not really relevant to the user of driver classes. You can configure how strings are automatically shortened, together with the postfix, which is appended to shortened strings, like the following example shows.

Configuration options, which special to the actual drivers are configured in the driver specific extensions of this option class.

1. require_once'tutorial_autoload.php';
3. $graph=new ezcGraphPieChart ();
4. $graph->palette=new ezcGraphPaletteEzBlue ();
5. $graph->title='Access statistics';
7. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
8. 'Mozilla'=>19113,
9. 'Explorer'=>10917,
10. 'Opera'=>1464,
11. 'Safari'=>652,
12. 'Konqueror'=>474,
13. ) );
15. // Do not shorten strings automatically if they do not fit in the assigned
16. // space with the minimum font size.
17. $graph->driver->options->autoShortenString=false;
19. $graph->render(400,150,'tutorial_chart_title.svg');

Source for this file: /Graph/src/options/driver.php

    ezcBaseOptions
       |
       --ezcGraphDriverOptions

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcGraphGdDriverOptions | Class containing the extended driver options for the gd driver.
ezcGraphSvgDriverOptions | Class containing the extended options for the SVG driver.
ezcGraphCairoDriverOptions | Class containing the extended options for the SVG driver.
ezcGraphFlashDriverOptions | Class containing the extended configuration options for the flash driver.

### Properties

bool | read/write | `$autoShortenString` Automatically shorten string if it do not fit into the available space, even with the minimum font size used. Deactivating this setting will result in ezcGraphFontRenderingException exceptions, informing you about the actual string which did not fit.
string | read/write | `$autoShortenStringPostFix` String to append to shortened strings, if there is enough space left for the postfix.
int | read/write | `$font` Font used in the graph.
int | read/write | `$height` Height of the chart.
float | read/write | `$lineSpacing` Percent of font size used for line spacing
float | read/write | `$shadeCircularArc` Percent to darken circular arcs at the sides
int | read/write | `$width` Width of the chart.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__set( $propertyName , $propertyValue )` Set an option value

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __set

void __set( string $propertyName , mixed $propertyValue )

Set an option value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |
`$propertyValue` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a property is not defined in this class

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcGraphGdDriverOptions::__set()` | Set an option value

Documentation generated by phpDocumentor 1.4.3